<?php

class wpalBox {

	protected $title;
	protected $content_callback;

	public function __construct( $title, $content_callback ) {
		$this->title = $title;
		$this->content_callback = $content_callback;
	}

  public function Render() { ?>
    <div class="stuffbox">
      <h3 class="hndle"><span><?php echo $this->title; ?></span></h3>
      <div class="inside">
        <?php call_user_func( $this->content_callback ); ?>
      </div>
    </div>
  <?php }

	static function RenderTextOption( $label, $name, $value, $hint = '' ) { ?>
		<tr>
      <th valign="top" scope="row" style="padding-top: 14px;">
        <label for="<?php echo $name; ?>"><?php echo $label; ?></label>
      </th>
			<td>
        <input type="text" name="<?php echo $name; ?>" id="<?php echo $name; ?>" value="<?php echo $value; ?>" style="width: 98%;" />
        <?php echo $hint; ?>
      </td>
		</tr>
	<?php }

	static function RenderPasswordOption( $label, $name, $value, $hint = '' ) { ?>
		<tr>
      <th valign="top" scope="row" style="padding-top: 14px;">
        <label for="<?php echo $name; ?>"><?php echo $label; ?></label>
      </th>
			<td>
        <input type="password" name="<?php echo $name; ?>" id="<?php echo $name; ?>" value="<?php echo $value; ?>" style="width: 98%;" />
        <?php echo $hint; ?>
      </td>
		</tr>
	<?php }

	static function RenderCheckOption( $label, $name, $value ) { ?>
		<tr>
      <th valign="top" scope="row" style="padding-top: 14px;">
        <label for="<?php echo $name; ?>"><?php echo $label; ?></label>
      </th>
			<td><input type="checkbox" name="<?php echo $name; ?>" id="<?php echo $name; ?>" <?php if ( $value ) { echo 'checked="checked"'; } ?> /></td>
		</tr>
	<?php }

	static function RenderTextAreaOption( $label, $name, $value ) { ?>
		<tr>
			<td><?php echo $label; ?></td>
			<td><textarea name="<?php echo $name; ?>" style="width:100%" rows="10"><?php echo $value; ?></textarea></td>
		</tr>
	<?php }

	static function RenderHiddenOption( $label, $name, $value ) { ?>
		<input type="hidden" name="<?php echo $name; ?>" value="<?php echo $value; ?>" />
	<?php }

	static function RenderTestOption( $label, $name, $value ) {
		$help_src = WPSYNDICATOR_PLUGIN_URL . '/images/default.gif';
	?>
		<tr>
			<td></td>
			<td>
				<input type="button" class="button" value="Test" onClick="syn_test_site( <?php
				echo "'" . implode( "', '", $value ) . "', '$name'";
				?> );" style="vertical-align: middle;" />
				<img src="<?php echo $help_src; ?>" id="<?php echo $name; ?>_test_image" style="vertical-align: middle;" />
			</td>
		</tr>
	<?php }

}

